Get visibility diff
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/visibility/diff \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/visibility/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/visibility/diff")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/visibility/diff")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"current": {
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"totals": {
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1,
"total": 1,
"primaryShare": 50,
"primaryShareRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"primaryShareOfAllCitations": 50,
"primaryShareOfAllCitationsRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"shareOfVoice": 50,
"shareOfVoiceRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
}
}
},
"previous": {
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"totals": {
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1,
"total": 1,
"primaryShare": 50,
"primaryShareRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"primaryShareOfAllCitations": 50,
"primaryShareOfAllCitationsRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"shareOfVoice": 50,
"shareOfVoiceRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
}
}
},
"delta": {
"primaryCitations": 123,
"competitorCitations": 123,
"otherCitations": 123,
"primaryShare": 123,
"shareOfVoice": 123
},
"comparisons": {
"primaryShare": {
"comparison": "up",
"notComparableReason": "unmeasured",
"difference": 123,
"low": 123,
"high": 123,
"confidence": 0.9
},
"shareOfVoice": {
"comparison": "up",
"notComparableReason": "unmeasured",
"difference": 123,
"low": 123,
"high": 123,
"confidence": 0.9
}
},
"timeSeries": [
{
"date": "2023-12-25",
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1
}
],
"platformCadences": [
{
"platform": "<string>",
"cadenceDays": 2,
"inDailySeries": true,
"lastCheckedOn": "2023-12-25"
}
],
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Visibility
Get visibility diff
Compares the current visibility window with the previous same-length window. comparisons says whether each share moved clearly; report a change only when comparison is up or down. Requires the visibility.read scope.
GET
/
projects
/
{projectId}
/
visibility
/
diff
Get visibility diff
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/visibility/diff \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/visibility/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/visibility/diff")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/visibility/diff")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"current": {
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"totals": {
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1,
"total": 1,
"primaryShare": 50,
"primaryShareRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"primaryShareOfAllCitations": 50,
"primaryShareOfAllCitationsRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"shareOfVoice": 50,
"shareOfVoiceRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
}
}
},
"previous": {
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"totals": {
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1,
"total": 1,
"primaryShare": 50,
"primaryShareRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"primaryShareOfAllCitations": 50,
"primaryShareOfAllCitationsRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
},
"shareOfVoice": 50,
"shareOfVoiceRange": {
"value": 123,
"successes": 1,
"n": 1,
"nEffective": 1,
"low": 123,
"high": 123,
"confidence": 0.9,
"directional": true,
"method": "wilson"
}
}
},
"delta": {
"primaryCitations": 123,
"competitorCitations": 123,
"otherCitations": 123,
"primaryShare": 123,
"shareOfVoice": 123
},
"comparisons": {
"primaryShare": {
"comparison": "up",
"notComparableReason": "unmeasured",
"difference": 123,
"low": 123,
"high": 123,
"confidence": 0.9
},
"shareOfVoice": {
"comparison": "up",
"notComparableReason": "unmeasured",
"difference": 123,
"low": 123,
"high": 123,
"confidence": 0.9
}
},
"timeSeries": [
{
"date": "2023-12-25",
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1
}
],
"platformCadences": [
{
"platform": "<string>",
"cadenceDays": 2,
"inDailySeries": true,
"lastCheckedOn": "2023-12-25"
}
],
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}